package com.ruoyi.common.core.domain.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 车辆对象 dibang_car
 * 
 * @author liuhj
 * @date 2022-03-10
 */
public class DibangCar extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 车辆ID */
    @Excel(name = "车辆ID")
    private String carId;

    /** 车辆名 */
    @Excel(name = "车辆名")
    private String carName;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String plateNo;

    /** 车辆品牌 */
    @Excel(name = "车辆品牌")
    private String carBrand;

    /** 车辆规格 */
    @Excel(name = "车辆规格")
    private String carSpecs;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date modifyTime;

    public void setCarId(String carId) 
    {
        this.carId = carId;
    }

    public String getCarId() 
    {
        return carId;
    }
    public void setCarName(String carName) 
    {
        this.carName = carName;
    }

    public String getCarName() 
    {
        return carName;
    }
    public void setPlateNo(String plateNo) 
    {
        this.plateNo = plateNo;
    }

    public String getPlateNo() 
    {
        return plateNo;
    }
    public void setCarBrand(String carBrand) 
    {
        this.carBrand = carBrand;
    }

    public String getCarBrand() 
    {
        return carBrand;
    }
    public void setCarSpecs(String carSpecs) 
    {
        this.carSpecs = carSpecs;
    }

    public String getCarSpecs() 
    {
        return carSpecs;
    }
    public void setModifyTime(Date modifyTime) 
    {
        this.modifyTime = modifyTime;
    }

    public Date getModifyTime() 
    {
        return modifyTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("carId", getCarId())
            .append("carName", getCarName())
            .append("plateNo", getPlateNo())
            .append("carBrand", getCarBrand())
            .append("carSpecs", getCarSpecs())
            .append("createTime", getCreateTime())
            .append("modifyTime", getModifyTime())
            .toString();
    }
}
